Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Admin - Profiles GetProfilesAsAdmin

Service:
Power BI REST APIs
API Version:
v1.0

Returns a list of service principal profiles for the organization.

Permissions

The user must be a Fabric administrator or authenticate using a service principal.

Required Scope

Tenant.Read.All or Tenant.ReadWrite.All

Limitations

Maximum 200 requests per hour.

GET https://api.powerbi.com/v1.0/myorg/admin/profiles
With optional parameters:
GET https://api.powerbi.com/v1.0/myorg/admin/profiles?$filter={$filter}&$top={$top}&$skip={$skip}

URI Parameters

Name In Required Type Description
$filter
query

string

Filters the results based on a boolean condition, using 'id', 'displayName', or 'servicePrincipalId'. Supports only 'eq' operator.

$skip
query

integer (int32)

Skips the first n results. Use with top to fetch results beyond the first 5000.

$top
query

integer (int32)

minimum: 1
maximum: 5000

Returns only the first n results. This parameter must be in the range of 1-5000.

Responses

Name Type Description
200 OK

AdminServicePrincipalProfiles

OK

Examples

Get a specific service principal profile by id using filter
Get service principal profiles by their parent servicePrincipalId using filter

Get a specific service principal profile by id using filter

Sample request

GET https://api.powerbi.com/v1.0/myorg/admin/profiles?$filter=id%20eq%20'3b211778-e7a5-4d73-8187-f10824047724'

Sample response

Status code:
200
{
 "value": [
 {
 "id": "3b211778-e7a5-4d73-8187-f10824047724",
 "displayName": "My new profile",
 "servicePrincipalId": "12345678-e7a5-4d73-8187-f10824041234"
 }
 ]
}

Get service principal profiles by their parent servicePrincipalId using filter

Sample request

GET https://api.powerbi.com/v1.0/myorg/admin/profiles?$filter=servicePrincipalId%20eq%20'12345678-e7a5-4d73-8187-f10824041234'

Sample response

Status code:
200
{
 "value": [
 {
 "id": "3b211778-e7a5-4d73-8187-f10824047724",
 "displayName": "My new profile",
 "servicePrincipalId": "12345678-e7a5-4d73-8187-f10824041234"
 },
 {
 "id": "43211778-e7a5-4d73-8187-f10824044321",
 "displayName": "My new profile2",
 "servicePrincipalId": "12345678-e7a5-4d73-8187-f10824041234"
 }
 ]
}

Definitions

Name Description
AdminServicePrincipalProfile

A Power BI service principal profile. Only relevant for Power BI Embedded multi-tenancy solution.

AdminServicePrincipalProfiles

Odata response wrapper for a Power BI service principal profile collection.

AdminServicePrincipalProfile

Object

A Power BI service principal profile. Only relevant for Power BI Embedded multi-tenancy solution.

Name Type Description
displayName

string

The service principal profile name

id

string (uuid)

The service principal profile ID

servicePrincipalId

string (uuid)

The service principal ID

AdminServicePrincipalProfiles

Object

Odata response wrapper for a Power BI service principal profile collection.

Name Type Description
@odata.context

string

OData context

value

AdminServicePrincipalProfile[]

The service principal profile collection